<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <OutputPath>bin\Debug\netcoreapp3.1\</OutputPath>
    <DocumentationFile>bin\Debug\netcoreapp3.1\CrossCountryApplet.xml</DocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Data - 副本\**" />
    <Content Remove="Data - 副本\**" />
    <EmbeddedResource Remove="Data - 副本\**" />
    <None Remove="Data - 副本\**" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="Data\Help\access_tokenISHasExpired.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="aliyun-net-sdk-core" Version="1.5.3" />
    <PackageReference Include="Aliyun.OSS.SDK.NetCore" Version="2.9.1" />
    <PackageReference Include="AutoMapper" Version="9.0.0" />
    <PackageReference Include="FluentNHibernate" Version="2.1.2" />
    <PackageReference Include="jose-jwt" Version="2.5.0" />
    <PackageReference Include="JWT" Version="5.0.0" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="3.1.2" />
    <PackageReference Include="Microsoft.AspNetCore.Http" Version="2.2.2" />
    <PackageReference Include="Microsoft.AspNetCore.Http.Extensions" Version="2.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.Session" Version="2.2.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="2.2.1" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="3.1.1" />
    <PackageReference Include="MySql.Data" Version="8.0.19" />
    <PackageReference Include="MySql.Data.EntityFrameworkCore" Version="8.0.19" />
    <PackageReference Include="Newtonsoft.Json" Version="12.0.3" />
    <PackageReference Include="NUnit" Version="3.12.0" />
    <PackageReference Include="SecurityCodeScan" Version="3.5.0">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Swashbuckle.AspNetCore" Version="5.0.0" />
    <PackageReference Include="Swashbuckle.AspNetCore.Swagger" Version="5.0.0" />
    <PackageReference Include="Microsoft.AspNetCore.Session" Version="2.2.0" />
    <PackageReference Include="System.Drawing.Common" Version="4.7.0" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\OffRoadModel\OffRoadModel.csproj" />
  </ItemGroup>

  <ProjectExtensions>
    <VisualStudio>
      <UserProperties appsettings_1json__JsonSchema="http://json.schemastore.org/azure-iot-edge-deployment-2.0" />
    </VisualStudio>
  </ProjectExtensions>


</Project>
